## org.hibernate.metamodel.relational
Interface AuxiliaryDatabaseObject

All Superinterfaces:
  Exportable, Serializable

All Known Implementing Classes:
  AbstractAuxiliaryDatabaseObject, BasicAuxiliaryDatabaseObjectImpl

    public interface AuxiliaryDatabaseObject

extends Exportable, Serializable

Auxiliary database objects (i.e., triggers, stored procedures, etc) defined in the mappings. Allows Hibernate to manage their lifecycle as part of creating/dropping the schema.

Method Summary
`boolean` `appliesToDialect(Dialect dialect)` Does this database object apply to the given dialect?

Methods inherited from interface org.hibernate.metamodel.relational.Exportable
`getExportIdentifier, sqlCreateStrings, sqlDropStrings`

Method Detail

### appliesToDialect

    boolean appliesToDialect(Dialect dialect)

  Does this database object apply to the given dialect?

  Parameters:
    `dialect` - The dialect to check against.
  Returns:
    True if this database object does apply to the given dialect.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.